Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.plugin.contract
Interface ChannelMapper

All Superinterfaces:
  ServerPlugin

All Known Implementing Classes:
  JDBCChannelMapper

public interface ChannelMapper
extends ServerPlugin

Handles mappings between Queues/Topics/Subscriptions and core channels

Version:
  `1.1` ChannelMapper.java,v 1.1 2006/02/28 16:48:13 timfox Exp
Author:
  Tim Fox, Ovidiu Feodorov

Method Summary
`DurableSubscription` | `createDurableSubscription(java.lang.String topicName, java.lang.String clientID, java.lang.String subscriptionName, java.lang.String selector, boolean noLocal, MessageStore ms, PersistenceManager pm, MemoryManager mm)`
`Subscription` | `createSubscription(java.lang.String topicName, java.lang.String selector, boolean noLocal, MessageStore ms, PersistenceManager pm, MemoryManager mm)`
`void` | `deployCoreDestination(boolean isQueue, java.lang.String destName, MessageStore ms, PersistenceManager pm, MemoryManager mm, int fullSize, int pageSize, int downCacheSize)`
`CoreDestination` | `getCoreDestination(JBossDestination jbDest)`
`DurableSubscription` | `getDurableSubscription(java.lang.String clientID, java.lang.String subscriptionName, MessageStore ms, PersistenceManager pm, MemoryManager mm)`
`JBossDestination` | `getJBossDestination(long coreDestinationID)`
`java.lang.String` | `getPreConfiguredClientID(java.lang.String username)` FIXME This doesn't belong here and should be moved out to a different service
`java.util.Set` | `getSubscriptions(java.lang.String clientID)`
`boolean` | `removeDurableSubscription(java.lang.String clientID, java.lang.String subscriptionName)`
`void` | `setPersistenceManager(PersistenceManager pm)`
`CoreDestination` | `undeployCoreDestination(boolean isQueue, java.lang.String destName)`

Methods inherited from interface org.jboss.messaging.core.plugin.contract.ServerPlugin
`getInstance`

Method Detail

### getPreConfiguredClientID

    public java.lang.String getPreConfiguredClientID(java.lang.String username)
                                              throws JMSException

  FIXME This doesn't belong here and should be moved out to a different service

  Parameters:
    `username` -
  Returns:
  Throws:
    `JMSException`

### getCoreDestination

    public CoreDestination getCoreDestination(JBossDestination jbDest)
                                       throws JMSException

  Throws:
    `JMSException`

### getJBossDestination

    public JBossDestination getJBossDestination(long coreDestinationID)

### deployCoreDestination

    public void deployCoreDestination(boolean isQueue,
                                      java.lang.String destName,
                                      MessageStore ms,
                                      PersistenceManager pm,
                                      MemoryManager mm,
                                      int fullSize,
                                      int pageSize,
                                      int downCacheSize)
                               throws JMSException

  Throws:
    `JMSException`

### undeployCoreDestination

    public CoreDestination undeployCoreDestination(boolean isQueue,
                                                   java.lang.String destName)
                                            throws JMSException

  Throws:
    `JMSException`

### createDurableSubscription

    public DurableSubscription createDurableSubscription(java.lang.String topicName,
                                                         java.lang.String clientID,
                                                         java.lang.String subscriptionName,
                                                         java.lang.String selector,
                                                         boolean noLocal,
                                                         MessageStore ms,
                                                         PersistenceManager pm,
                                                         MemoryManager mm)
                                                  throws JMSException

  Throws:
    `JMSException`

### createSubscription

    public Subscription createSubscription(java.lang.String topicName,
                                           java.lang.String selector,
                                           boolean noLocal,
                                           MessageStore ms,
                                           PersistenceManager pm,
                                           MemoryManager mm)
                                    throws JMSException

  Throws:
    `JMSException`

### getDurableSubscription

    public DurableSubscription getDurableSubscription(java.lang.String clientID,
                                                      java.lang.String subscriptionName,
                                                      MessageStore ms,
                                                      PersistenceManager pm,
                                                      MemoryManager mm)
                                               throws JMSException

  Throws:
    `JMSException`

### removeDurableSubscription

    public boolean removeDurableSubscription(java.lang.String clientID,
                                             java.lang.String subscriptionName)
                                      throws JMSException

  Throws:
    `JMSException`

### getSubscriptions

    public java.util.Set getSubscriptions(java.lang.String clientID)

### setPersistenceManager

    public void setPersistenceManager(PersistenceManager pm)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.